Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1805830 - clusteroperator/kube-apiserver related objects needs to include SCC
Summary: clusteroperator/kube-apiserver related objects needs to include SCC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.0
Assignee: Venkata Siva Teja Areti
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-21 15:52 UTC by David Eads
Modified: 2020-07-13 17:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:16:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-apiserver-operator pull 779 0 None closed Bug 1805830: Add SCCs among the operator's related objects 2020-06-23 08:42:10 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:17:19 UTC

Description David Eads 2020-02-21 15:52:08 UTC
There shouldn't be that many SCCs, but we need to see what's present and when to debug pod creation latency.

Comment 3 Ke Wang 2020-03-18 02:33:49 UTC
Verified with OCP build 4.5.0-0.nightly-2020-03-17-213400, the related resource  securitycontextconstraints is already in.

$ oc get co/kube-apiserver -o json | jq .status.relatedObjects[2]
{
  "group": "security.openshift.io",
  "name": "",
  "resource": "securitycontextconstraints"
}


$ oc describe co/kube-apiserver | grep -A2 'security.openshift.io'
    Group:     security.openshift.io
    Name:      
    Resource:  securitycontextconstraints

Comment 5 errata-xmlrpc 2020-07-13 17:16:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.